# Poco

# template < class OwnerType >

# class ActiveStarter

Library: Foundation
Package: Threading
Header: Poco/ActiveStarter.h

## Description

The default implementation of the StarterType policy for ActiveMethod. It starts the method in its own thread, obtained from the default thread pool.

## Member Summary

Member Functions: start

## Member Functions

### start

static void start(
OwnerType * param104,
ActiveRunnableBase::Ptr pRunnable
);